!  -----------
!  HDALONE_CTL controls stand alone hydrlology moldel runs
!  -----------
!
!  In echam runs, some of these parameters are set in RUNCTL.
!                                                                 
!      
!    NAME           TYPE       PURPOSE                                       
!    ----           ----       -------                                       
!                                                                       
!    iswrit        INTEGER     restart time step (0: no restart file)
!    out_expname   CHARACTER   experiment name
!    out_datapath  CHARACTER   path to where the output data shall be written
!    year1         INTEGER     initial year of the run
!    month1        INTEGER     initial month of the run
!    nstep         INTEGER     number of time steps within the run
!    delta_time    REAL(dp)    model time step lenght in seconds
!    ufakru        REAL(dp)    unit factor for runoff and drainage input data
!    runoff_file   CHARACTER   file with input runoff data
!    drainage_file CHARACTER   file with input drainage data
!    forcing_freq  INTEGER     frequency of the forcing data (0: stepwise, 1: daily)
!    iout          INTEGER     averaging period of the HD output
!                                 1   30-day averages
!                                 2   decadal averages
!                                 3   weekly averages
!                                 4   monthly averages without leap years
!                                 5   monthly averages with leap years
!                                 6   daily averages
!                                 7   stepwise output
!    coupling_type  INTEGER     Type of coupling to oceanmodel
!                                 0   no coupling (default)
!                                 1   coupling with no interpolation of discharge within HD
!                                 2   coupling with allocation of target grid boxes in HD
!    coupling_file  CHARACTER   Input file with coupling information for coupling_type 2
!    lcoupling_out  LOGICAL     Write discharge on ocean grid (no/yes) (coupling_type 2 only)
!    iform_input    INTEGER     Format Input files: 0 = SRV, 1 = NetCDCF
!    ltransport     LOGICAL     Switch for Transport on/off (default .false.)   

NAMELIST /HDALONE_CTL/ &
     ISWRIT, OUT_EXPNAME, OUT_DATAPATH, YEAR1, MONTH1, NSTEP, DELTA_TIME, &
     UFAKRU, RUNOFF_FILE, DRAINAGE_FILE, FORCING_FREQ, IOUT, &
     COUPLING_TYPE, COUPLING_FILE, LCOUPLING_OUT, IFORM_INPUT, LTRANSPORT

!     ------------------------------------------------------------------
