MODULE mo_parameters
  !
  !  This routine originates (year 2014) from MPI-ESM, the Earth System Model of the 
  !  Max Planck Institute for Meteorology (Mauritsen et al. 2019). 
  !  Reference: Mauritsen, T., et al. (2019) Developments in the MPI-M Earth System Model 
  !  version 1.2 (MPI-ESM1.2) and its response to increasing CO2. J. Adv. Model. Earth Syst., 11, 
  !  doi: 10.1029/2018MS001400.

  IMPLICIT NONE

  ! parameters controlling array sizes.

!LK  INTEGER, PARAMETER :: jpm     = 106 ! max zonal wave number
!LK  INTEGER, PARAMETER :: jpn     = jpm ! max meridional wave number for m=0
!LK  INTEGER, PARAMETER :: jpk     = jpm ! max meridional wave number
                                      ! for ntrn only, f90 namelist restriction
  INTEGER, PARAMETER :: jpgrnd  = 5   ! number of soil layers
                                      
!LK  INTEGER, PARAMETER :: jptrac  = 100 ! maximum number of prognostic tracers
!LK  INTEGER, PARAMETER :: jps     = 3   ! basic Spitfire variables without tracers
                                      ! i.e. humidity, cloud water and cloud ice
!LK  INTEGER, PARAMETER :: jpmp1=jpm+1

END MODULE mo_parameters
