HOME=$(pwd)

# First, please adapt WORK_DIR if neccessary
WORK_DIR=${HOME}

#=================== CHOOSE HERE WHAT TO COMPILE !!! ==============
computer="mistral"
#computer="levante"

#......................
coupling="no"
coupling="yes"

#......................
coupler="OASIS"
#coupler="YAC"

#......................
if [ $coupling == "yes" ];then
 if [ $coupler == "OASIS" ];then
### compile_OASIS="yes"
  compile_OASIS="no"		# if already compiled OASIS
 else
### compile_YAC="yes"
  compile_YAC="no"		# if already compiled YAC
 fi
else
 compile_OASIS="no"
 compile_YAC="no"
fi

#......................
compile_HD="yes"
#compile_HD="no"

if [ $coupling == "no" ];then
 version_HD="5.1"
else
 if [ $coupler == "OASIS" ];then
  version_HD="5.1_oas4"		# OASIS interface
 else
  version_HD="5.1_yac"		# YAC interface
 fi
fi

#===============================================================
if [ $computer == "mistral" ];then
#mistral
 NETCDFF_DIR=/sw/rhel6-x64/netcdf/netcdf_fortran-4.4.3-parallel-openmpi2-intel14
 NETCDFC_DIR=/sw/rhel6-x64/netcdf/netcdf_c-4.4.0-parallel-openmpi2-intel14
 HDF5_DIR=/sw/rhel6-x64/hdf5/hdf5-1.8.18-parallel-openmpi2-intel14
 GRIBAPI_DIR=/sw/rhel6-x64/grib_api/grib_api-1.15.0-gcc48
 MODULES="'gcc/6.4.0 intel/17.0.6 openmpi/2.0.2p2_hpcx-intel14'"
 GCCLIB="/sw/rhel6-x64/gcc/gcc-6.4.0/lib64"
 ECCODES_DIR="/sw/rhel6-x64/eccodes/eccodes-2.22.0-gcc64"
 PYTHON='/sw/spack-rhel6/miniforge3-4.9.2-3-Linux-x86_64-pwdbqi/bin/python'
else
# levante
 NETCDFF_DIR=/sw/spack-levante/netcdf-fortran-4.5.3-k6xq5g
 NETCDFC_DIR=/sw/spack-levante/netcdf-c-4.8.1-2k3cmu
 HDF5_DIR=/sw/spack-levante/hdf5-1.12.1-tvymb5
 SZIP_ROOT=/sw/spack-levante/libaec-1.0.5-gij7yv
 MPIINC=/sw/spack-levante/openmpi-4.1.2-yfwe6t/include
 MPILIB=/sw/spack-levante/openmpi-4.1.2-yfwe6t/lib
 MODULES="'gcc-11.2.0-7jcqrc intel-oneapi-compilers/2022.0.1-gcc-11.2.0 openmpi/4.1.2-intel-2021.5.0'"
 GCCLIB="/sw/spack-levante/gcc-11.2.0-7jcqrc/lib64"
 PYTHON='/sw/spack-levante/mambaforge-4.11.0-0-Linux-x86_64-sobz6z/bin/python'
fi
#===============================================================
OASIS_DIR=/work/gg0302/g260062/GCOAST_oas5/oasis3-mct

#..........................................
HD_DIR=${WORK_DIR}

#===============================================================
echo "WORK_DIR=${WORK_DIR}" > ${WORK_DIR}/paths.inc
echo "OASIS_DIR=${OASIS_DIR}" >> ${WORK_DIR}/paths.inc
echo "HD_DIR=${HD_DIR}" >> ${WORK_DIR}/paths.inc

#===============================================================
# Step 1: Compile oasis3-mct
if [ ${compile_OASIS} == "yes" ];then
 cd ${OASIS_DIR}/util/make_dir/
 echo "include ${OASIS_DIR}/util/make_dir/make.${computer}.dkrz" > ${OASIS_DIR}/util/make_dir/make.inc

  sed \
      -e s%@{NETCDFF_DIR}%${NETCDFF_DIR}%g \
      -e s%@{NETCDFC_DIR}%${NETCDFC_DIR}%g \
      -e s%@{OASIS_DIR}%${OASIS_DIR}%g \
      <${WORK_DIR}/configure/make.oasis.${computer}.dkrz>${OASIS_DIR}/util/make_dir/make.${computer}.dkrz

 ./run_make.sh
 cd ${WORK_DIR}
fi	# compile_OASIS

#===============================================================
# Step 2: Compile HD
if [ ${compile_HD} == "yes" ];then
 if [ $computer == "mistral" ];then
  sed \
      -e s%@{NETCDFF_DIR}%${NETCDFF_DIR}%g \
      -e s%@{NETCDFC_DIR}%${NETCDFC_DIR}%g \
      -e s%@{HDF5_DIR}%${HDF5_DIR}%g \
      -e s%@{OASIS_DIR}%${OASIS_DIR}%g \
      <${WORK_DIR}/configure/Fopts_HD_openmpi_${computer}>${HD_DIR}/code/Fopts_openmpi_${computer}
 else
  sed \
      -e s%@{NETCDFF_DIR}%${NETCDFF_DIR}%g \
      -e s%@{NETCDFC_DIR}%${NETCDFC_DIR}%g \
      -e s%@{HDF5_DIR}%${HDF5_DIR}%g \
      -e s%@{SZIP_ROOT}%${SZIP_ROOT}%g \
      -e s%@{OASIS_DIR}%${OASIS_DIR}%g \
      -e s%@{MPIINC}%${MPIINC}%g \
      -e s%@{MPILIB}%${MPILIB}%g \
      <${WORK_DIR}/configure/Fopts_HD_openmpi_${computer}>${HD_DIR}/code/Fopts_openmpi_${computer}
 fi
 
 BUILD_HD=build_HD${version_HD}_${computer}
 if [ ! -d ${HD_DIR}/${BUILD_HD} ];then
  mkdir -p ${HD_DIR}/${BUILD_HD}
 fi

 cd ${HD_DIR}/scr

 ##### ATTENTION: compile HD with openmpi on mistral "-c 4" !!!
 ##### ATTENTION: compile HD with openmpi on levante "-c 7" !!!

 if [ $computer == "mistral" ];then
  ccompile="4"
 else
  ccompile="7"
 fi

 if [ $coupling == "no" ];then
 #----------- STAND-ALONE ---------------------------

  #___ HD global 0.5 deg: -r 0
  #echo "++++ Compiling HD global 0.5 deg"
  #./compile_HD_euro.sh -r 0 -o 0 -c ${ccompile}
  #mv ${HD_DIR}/hd_05.exe ${HD_DIR}/${BUILD_HD}/hd_05_standalone.x

  #___ HD global 5 min deg: -r 1
  #echo "++++ Compiling HD global 5 min"
  #./compile_HD_euro.sh -r 1 -o 0 -c ${ccompile}
  #mv ${HD_DIR}/hd_5min.exe ${HD_DIR}/${BUILD_HD}/hd_5min_standalone.exe

  #___ HD EURO 5 min deg: -r 2
  echo "++++ Compiling HD: European 5 min"
  ./compile_HD_euro.sh -r 2 -o 0 -c ${ccompile}
  mv ${HD_DIR}/hd_euro.exe ${HD_DIR}/${BUILD_HD}/hd_euro_standalone.exe

 else
 #----------- COUPLED ---------------------------

  if [ $coupler == "OASIS" ];then
   # OASIS
   ocompile=1
   ycompile=0
  else
   # YAC
   ocompile=0
   ycompile=1
  fi

  #___ HD global 0.5 deg: -r 0
  #echo "++++ Compiling HD global 0.5 deg"
  #./compile_HD_euro.sh -r 0 -o ${ocompile} -c ${ccompile} -y ${ycompile}
  #mv ${HD_DIR}/hd_05.exe ${HD_DIR}/${BUILD_HD}/hdmd.x

  #___ HD global 5 min deg: -r 1
  #echo "++++ Compiling HD global 5 min"
  #./compile_HD_euro.sh -r 1 -o ${ocompile} -c ${ccompile} -y ${ycompile}
  #mv ${HD_DIR}/hd_5min.exe ${HD_DIR}/${BUILD_HD}/hdmd.x

  #___ HD EURO 5 min deg: -r 2
  echo "++++ Compiling HD European 5 min"
  ./compile_HD_euro.sh -r 2 -o ${ocompile} -c ${ccompile} -y ${ycompile}
  ## ==> ../hd_euro.exe
  mv ${HD_DIR}/hd_euro.exe ${HD_DIR}/${BUILD_HD}/hd_euro.exe

 fi

 cd ${WORK_DIR}
fi

#================================================================
cd ${WORK_DIR}

